<template>
  <UButton
    color="error"
    size="lg"
    variant="soft"
    @click="handleClick"
  >
    <template #leading>
      <UIcon name="i-heroicons-arrow-right-on-rectangle" />
    </template>
    Cerrar Sesión
  </UButton>
</template>

<script setup lang="ts">
const { logout } = useAuthentik()

const handleClick = () => {
  logout()
}
</script>
